%global __requires_exclude python-gi

Summary:	D-Bus Python Bindings
Name:		dbus-python
Version:	1.4.0
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
URL:		https://www.freedesktop.org/wiki/Software/DBusBindings
Source0:	https://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.xz
Source1:	https://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.xz.asc
Patch0:		linking.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(dbus-1) >= 1.8
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	dbus-x11
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	patchelf
BuildRequires:	python3dist(meson-python)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(wheel)

%description
D-Bus python bindings for use with python programs.

%package -n python3-dbus
Summary:	D-Bus Python 3 Bindings
Group:		Development/Python
%{?python_provide:%python_provide python3-dbus}
Obsoletes:	dbus-python3 < %{version}-%{release}
Provides:	dbus-python3 = %{version}-%{release}
Requires:	dbus >= 1.8
Requires:	python3dist(pygobject)

%description -n python3-dbus
D-Bus python 3 bindings for use with python3 programs.

%package -n python-dbus-devel
Summary:	Development files for python3-dbus
Group:		Development/Python
Provides:	python3-dbus-devel = %{version}-%{release}

%description -n python-dbus-devel
Header files for python3-dbus.

%prep
%autosetup -p1

%dnl %generate_buildrequires
%dnl %pyproject_buildrequires

%build
%pyproject_wheel

%meson
%meson_build

%install
%pyproject_install

%meson_install

rm -rf %{buildroot}%{python3_sitearch}/.dbus_python.mesonpy.libs/
rm -rf %{buildroot}%{_includedir}/python%{python3_version}/

%check
%meson_test

%files -n python3-dbus
%doc README NEWS doc/*.txt
%{python3_sitearch}/_dbus_bindings.*.so
%{python3_sitearch}/_dbus_glib_bindings.*.so
%{python3_sitearch}/dbus/
%{python3_sitearch}/dbus_python-%{version}.dist-info/

%files -n python-dbus-devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jun 04 2025 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2188155
- new version: 1.4.0

* Wed Feb 26 2025 wally <wally> 1.3.2-4.mga10
+ Revision: 2152886
- rebuild for python3.13

* Fri Dec 22 2023 wally <wally> 1.3.2-3.mga10
+ Revision: 2020832
- another rebuild for py3.12 to get rid of older pkg

* Thu Dec 07 2023 wally <wally> 1.3.2-2.mga10
+ Revision: 2015138
- rebuild for py3.12

* Sat Oct 08 2022 papoteur <papoteur> 1.3.2-1.mga9
+ Revision: 1895475
- new 1.3.2
- fix dbus-python.pc path
- move to pyproject
- add linking to python3
+ neoclust <neoclust>
- Migrate to new python buildsystem

* Thu Mar 31 2022 umeabot <umeabot> 1.2.18-3.mga9
+ Revision: 1836307
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.2.18-2.mga9
+ Revision: 1772350
- rebuild for python3.10

* Thu Jul 29 2021 luigiwalser <luigiwalser> 1.2.18-1.mga9
+ Revision: 1738162
- 1.2.18

* Mon Mar 15 2021 neoclust <neoclust> 1.2.16-3.mga9
+ Revision: 1703207
- Rebuild against python 3.9

* Thu Feb 20 2020 umeabot <umeabot> 1.2.16-2.mga8
+ Revision: 1546527
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 1.2.16-1.mga8
+ Revision: 1486743
- new version: 1.2.16
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 14 2019 wally <wally> 1.2.12-2.mga8
+ Revision: 1440778
- add patch to fix linking

* Sat Sep 14 2019 daviddavid <daviddavid> 1.2.12-1.mga8
+ Revision: 1440685
- new version: 1.2.12
- remove merged upstream patch

* Thu Sep 05 2019 tv <tv> 1.2.8-4.mga8
+ Revision: 1437523
- drop python2 subpkg
- fix building with python3.8
- use %%autosetup
- rebuild for python 3.8

* Sun Jan 06 2019 tmb <tmb> 1.2.8-3.mga7
+ Revision: 1350188
- rebuild for python 3.7

* Sat Jan 05 2019 tv <tv> 1.2.8-2.mga7
+ Revision: 1349479
- rebuild for python 3.7

* Sun Aug 26 2018 daviddavid <daviddavid> 1.2.8-1.mga7
+ Revision: 1254569
- new version: 1.2.8
- rename python-dbus to python2-dbus
+ wally <wally>
- drop unneeded BR on gobject-introspection

* Fri Feb 16 2018 luigiwalser <luigiwalser> 1.2.6-1.mga7
+ Revision: 1201775
- 1.2.6

* Fri Aug 04 2017 tv <tv> 1.2.4-4.mga7
+ Revision: 1134533
- rebuild for new python

* Sat Oct 01 2016 philippem <philippem> 1.2.4-3.mga6
+ Revision: 1058033
- fix build, don't rely on arch macro
- rework package to provide python egg

* Fri May 06 2016 luigiwalser <luigiwalser> 1.2.4-1.mga6
+ Revision: 1009933
- 1.2.4
- remove patches (fixed upstream)

* Thu Apr 28 2016 daviddavid <daviddavid> 1.2.0-15.mga6
+ Revision: 1007029
- use new python macros

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.2.0-14.mga6
+ Revision: 959308
- try to fix python3 linking error
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.2.0-13.mga6
+ Revision: 886704
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 743829
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-11.mga5
+ Revision: 726077
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 1.2.0-10.mga5
+ Revision: 693733
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-9.mga5
+ Revision: 678687
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sun Sep 14 2014 joequant <joequant> 1.2.0-8.mga5
+ Revision: 675215
- rebuild for dependencies

* Sat May 31 2014 pterjan <pterjan> 1.2.0-7.mga5
+ Revision: 629669
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.2.0-6.mga5
+ Revision: 628152
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-5.mga4
+ Revision: 528991
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 fwang <fwang> 1.2.0-4.mga4
+ Revision: 448480
- expand dbus version
- update pkgname for py3gi
- filter python-gi requires
- conver br into pkgconfig style

* Sun Jun 30 2013 fwang <fwang> 1.2.0-3.mga4
+ Revision: 448473
- link with python lib always
- add conflicts to ease upgrading

* Sat Jun 29 2013 philippem <philippem> 1.2.0-2.mga4
+ Revision: 448231
- add Python3

* Fri May 24 2013 luigiwalser <luigiwalser> 1.2.0-1.mga4
+ Revision: 426772
- 1.2.0

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 348649
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 1.1.1-1.mga3
+ Revision: 342927
- BR dbus-x11 for make check
- 1.1.1
- bump dbus version requirement (upstream recommendation)
- remove ununsed and incorrect linkage patch
- add make check
- BR python-gobject3 for make check
- remove .la files

* Sun Jun 19 2011 kharec <kharec> 0.84.0-1.mga2
+ Revision: 109634
- new version 0.84.0
- update patch0 name

* Sun Jan 16 2011 misc <misc> 0.83.2-3.mga1
+ Revision: 20608
- rebuild for new python

* Thu Jan 13 2011 ahmad <ahmad> 0.83.2-2.mga1
+ Revision: 8551
- drop unused patch
- imported package dbus-python


* Fri Dec 03 2010 Götz Waschk <waschk@mandriva.org> 0.83.2-1mdv2011.0
+ Revision: 606072
- new version
- disable generation of API docs

* Sat Oct 30 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.83.1-2mdv2011.0
+ Revision: 590654
- rebuild for new python 2.7

* Fri Feb 19 2010 Frederic Crozat <fcrozat@mandriva.com> 0.83.1-1mdv2011.0
+ Revision: 508014
- Release 0.83.0
- Remove patch0 (merged upstream)

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.83.0-5mdv2010.0
+ Revision: 413339
- rebuild

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 0.83.0-4mdv2009.1
+ Revision: 333692
- add patch from https://bugs.freedesktop.org/show_bug.cgi?id=17551
- fix linkage

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.83.0-3mdv2009.1
+ Revision: 318619
- rebuild for python 2.6
- correct source locations

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.83.0-2mdv2009.1
+ Revision: 318618
- rebuild for new python

  + Götz Waschk <waschk@mandriva.org>
    - fix URL

* Thu Jul 24 2008 Frederic Crozat <fcrozat@mandriva.com> 0.83.0-1mdv2009.0
+ Revision: 245078
- Release 0.83.0

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.82.4-3mdv2009.0
+ Revision: 220575
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.82.4-2mdv2008.1
+ Revision: 148503
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.82.4-1mdv2008.1
+ Revision: 117363
- Release 0.82.4

* Mon Oct 22 2007 Jérôme Soyer <saispo@mandriva.org> 0.82.3-1mdv2008.1
+ Revision: 101074
- New release 0.82.3

* Tue Aug 21 2007 David Walluck <walluck@mandriva.org> 0.82.2-2mdv2008.0
+ Revision: 68140
- change package name to python-dbus

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.82.2-1mdv2008.0
+ Revision: 58015
- Release 0.82.2

* Thu Jul 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.82.1-1mdv2008.0
+ Revision: 51501
- Release 0.82.1

* Fri Jun 15 2007 Funda Wang <fwang@mandriva.org> 0.81.1-1mdv2008.0
+ Revision: 39842
- New version

* Wed May 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.81.0-2mdv2008.0
+ Revision: 30112
- disable autorequire on pkgconfig .pc file, it forces dbus-devel dependency

* Wed May 09 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.81.0-1mdv2008.0
+ Revision: 25629
- New version


* Thu Feb 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.80.2-1mdv2007.0
+ Revision: 121294
-Release 0.80.2

  + Nicolas Lécureuil <neoclust@mandriva.org>

* Thu Jan 25 2007 Frederic Crozat <fcrozat@mandriva.com> 0.80.1-1mdv2007.1
+ Revision: 113404
-Fix x86-64 build
-Release 0.80.1

* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-5mdv2007.1
+ Revision: 97022
- fix dependencies, as pyrex is now python-pyrex

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.71-4mdv2007.1
+ Revision: 88194
- Import dbus-python

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.71-4mdv2007.1
- update file list

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.71-3mdv2007.0
- fix group

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 0.71-2mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.71-1mdv2007.0
- Initial mandriva package (based on fedora)

